gi-gio-2.0.19: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Gio.Structs.IOStreamAdapter

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype IOStreamAdapter = IOStreamAdapter (ManagedPtr IOStreamAdapter)
- noIOStreamAdapter :: Maybe IOStreamAdapter

# Exported types

newtype IOStreamAdapter Source #

Memory-managed wrapper type.

Constructors

IOStreamAdapter (ManagedPtr IOStreamAdapter) |

Instances

WrappedPtr IOStreamAdapter Source # |
Instance details Defined in GI.Gio.Structs.IOStreamAdapter Methods wrappedPtrCalloc :: IO (Ptr IOStreamAdapter) Source # wrappedPtrCopy :: IOStreamAdapter -> IO IOStreamAdapter Source # wrappedPtrFree :: Maybe (FunPtr (Ptr IOStreamAdapter -> IO ())) Source #

noIOStreamAdapter :: Maybe IOStreamAdapter Source #

A convenience alias for `Nothing` :: `Maybe` `IOStreamAdapter`.